#!/bin/bash

ORIGD=$PWD
ARCHIVE_DIR=$(dirname $0)

for i in $(seq 1 $#); do
	case "$1" in
		"-h"|"--help") \
			HELP=yes && shift ;;
		"-v"|"--verbose") \
			VERBOSE=yes && shift ;;
		esac
done

if [[ "$HELP" = "yes" ]]; then
	echo
	echo "This script is a trivial Uninstaller for the Ghost Kernel"
	echo "it is a part of ghost-tools." && echo
	echo "usage : ./install.sh to install this TARGET kernel binary"
	echo "        archive or use ./uninstall.sh to remove it." && echo
	echo "There is just one option to uninstall:"
	echo "      -h|--help        -- this help,"
	echo 
	exit 0
fi

if [[ ! -f .INSTALLED_FILES.bak ]]; then \
	echo && \
	echo "ERROR: It is not possible to uninstall, some files " && \
	echo "aren't present in this directory (.INSTALLED_FILES.bak), exit !!" && \
	echo && exit 1;
fi

cd $ARCHIVE_DIR

DESTDIR="$(cat .INSTALLED_FILES.bak |grep DESTDIR | awk -F 'DESTDIR=' '{print $2}')"
PACKAGE="$(cat files/.path |grep PACKAGE | awk -F 'PACKAGE=' '{print $2}')"

ETAT=no

echo && \
echo "Uninstalling ....."  && echo && \
for files in $(cat .INSTALLED_FILES.bak |grep -v DESTDIR); do \
	if [[ -f $files ]]; then \
		rm -v $files ; \
		ETAT=ok
	fi ; \
done && \
for files in $(cat .INSTALLED_FILES.bak |grep -v DESTDIR); do \
	if [[ -d "$files" ]]; then \
		if [[ "$(basename $files)" = "$PACKAGE" ]]; then \
			rmdir -v $files 2>/dev/null && \
			ETAT=ok || \
			echo "WARNING : Directory $files is not empty, not deleted!!" ; \
		fi ; \
	fi ; \
done && \
rm -f {.INSTALLED_FILES.bak,INSTALLED_FILES.log} && \
echo && \
if [[ "$ETAT" = "ok" ]]; then \
	echo "Uninstall SUCCESS" && \
	echo && exit 0 ; \
else \
	echo "Uninstall ECHEC" && \
	echo "Zero file has been deleted !! Maybe already uninstalled ??" && \
	echo && exit 1 ; \
fi
